Loading...
Searching...
No Matches
basis_symbolic_nodal

## Detailed Description

Definition at line 117 of file basis_symbolic.h.

Inheritance diagram for basis_symbolic_nodal:

## Public Types

typedef basis_symbolic_nodal_on_geo::size_type | size_type
typedef basis_symbolic_nodal_on_geo::polynom_type | polynom_type
typedef basis_symbolic_nodal_on_geo::end_type | end_type

## Public Member Functions

| basis_symbolic_nodal (std::string nam, size_type deg)
size_type | degree () const
bool | have_index_parameter () const
bool | have_continuous_feature () const
const basis_symbolic_nodal_on_geo & | on (reference_element::variant_type t) const
basis_symbolic_nodal_on_geo & | on (reference_element::variant_type t)
basis_symbolic_nodal_on_geo & | on (char t)
std::string | name () const
std::string | family_name () const
void | set_name (std::string str)
void | set_degree_parameter (bool dp=true)
void | set_continuous_feature (bool cf=true)
void | put_cxx_header (std::ostream &out) const
void | put_cxx_body (std::ostream &out) const
void | put_cxx_main (int argc, char **argv) const
Public Member Functions inherited from basis_symbols
| basis_symbols ()

## Static Public Member Functions

static polynom_type | poly (const polynom_type &p)
static point_basic< GiNaC::ex > | node (const point_basic< GiNaC::ex > &x)
static point_basic< GiNaC::ex > | node (const GiNaC::ex &x0, const GiNaC::ex &x1=0, const GiNaC::ex &x2=0)
static end_type | end ()

## Protected Attributes

std::string | _name
std::string | _family_name
size_type | _degree
bool | _have_index_parameter
bool | _have_continuous_feature

## Additional Inherited Members

Public Attributes inherited from basis_symbols
GiNaC::symbol | x
GiNaC::symbol | y
GiNaC::symbol | z

## Member Typedef Documentation

## size_type

typedef basis_symbolic_nodal_on_geo::size_type size_type

Definition at line 123 of file basis_symbolic.h.

## polynom_type

typedef basis_symbolic_nodal_on_geo::polynom_type polynom_type

Definition at line 124 of file basis_symbolic.h.

## end_type

typedef basis_symbolic_nodal_on_geo::end_type end_type

Definition at line 125 of file basis_symbolic.h.

## Constructor & Destructor Documentation

## basis_symbolic_nodal()

basis_symbolic_nodal | ( | std::string | nam,
|  | size_type | deg
| ) |  |

Definition at line 129 of file basis_symbolic.h.

## Member Function Documentation

## degree()

size_type degree | ( |  | ) | const

Definition at line 150 of file basis_symbolic.h.

## have_index_parameter()

bool have_index_parameter | ( |  | ) | const

Definition at line 151 of file basis_symbolic.h.

## have_continuous_feature()

bool have_continuous_feature | ( |  | ) | const

Definition at line 152 of file basis_symbolic.h.

## on() [1/3]

const basis_symbolic_nodal_on_geo & on | ( | reference_element::variant_type | t | ) | const

Definition at line 154 of file basis_symbolic.h.

## on() [2/3]

basis_symbolic_nodal_on_geo & on | ( | reference_element::variant_type | t | ) |

Definition at line 158 of file basis_symbolic.h.

## on() [3/3]

basis_symbolic_nodal_on_geo & on | ( | char | t | ) |

Definition at line 162 of file basis_symbolic.h.

## name()

std::string name | ( |  | ) | const

Definition at line 167 of file basis_symbolic.h.

## family_name()

std::string family_name | ( |  | ) | const

Definition at line 168 of file basis_symbolic.h.

## set_name()

void set_name | ( | std::string | str | ) |

Definition at line 172 of file basis_symbolic.h.

## set_degree_parameter()

void set_degree_parameter | ( | bool | dp = `true` | ) |

Definition at line 173 of file basis_symbolic.h.

## set_continuous_feature()

void set_continuous_feature | ( | bool | cf = `true` | ) |

Definition at line 174 of file basis_symbolic.h.

## poly()

static polynom_type poly | ( | const polynom_type & | p | ) |

static

Definition at line 178 of file basis_symbolic.h.

## node() [1/2]

static point_basic< GiNaC::ex > node | ( | const point_basic< GiNaC::ex > & | x | ) |

static

Definition at line 179 of file basis_symbolic.h.

## node() [2/2]

static point_basic< GiNaC::ex > node | ( | const GiNaC::ex & | x0,
|  | const GiNaC::ex & | x1 = `0`,
|  | const GiNaC::ex & | x2 = `0`
| ) |  |

static

Definition at line 181 of file basis_symbolic.h.

## end()

static end_type end | ( |  | ) |

static

Definition at line 184 of file basis_symbolic.h.

## put_cxx_header()

void put_cxx_header | ( | std::ostream & | out | ) | const

Definition at line 148 of file basis_symbolic_cxx.cc.

## put_cxx_body()

void put_cxx_body | ( | std::ostream & | out | ) | const

Definition at line 225 of file basis_symbolic_cxx.cc.

## put_cxx_main()

void put_cxx_main | ( | int | argc,
|  | char ** | argv
| ) |  | const

Definition at line 429 of file basis_symbolic_cxx.cc.

## Member Data Documentation

## _name

std::string _name

protected

Definition at line 194 of file basis_symbolic.h.

## _family_name

std::string _family_name

protected

Definition at line 195 of file basis_symbolic.h.

## _degree

size_type _degree

protected

Definition at line 196 of file basis_symbolic.h.

## _have_index_parameter

bool _have_index_parameter

protected

Definition at line 197 of file basis_symbolic.h.

## _have_continuous_feature

bool _have_continuous_feature

protected

Definition at line 198 of file basis_symbolic.h.

The documentation for this class was generated from the following files:

- /build/rheolef-Hrneba/rheolef-7.2/fem/lib/basis_symbolic.h
- /build/rheolef-Hrneba/rheolef-7.2/fem/lib/basis_symbolic_cxx.cc